Refs - Create
Creates a ref favorite
POST https://dev.azure.com/{organization}/{project}/_apis/git/favorites/refs?api-version=4.1-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '4.1-preview.1' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| _links |
The class to represent a collection of REST reference links. |
|
| id |
integer (int32) |
|
| identityId |
string (uuid) |
|
| name |
string |
|
| repositoryId |
string (uuid) |
|
| type | ||
| url |
string |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.code | Grants the ability to read source code and metadata about commits, changesets, branches, and other version control artifacts. Also grants the ability to get notified about version control events via service hooks. |
Definitions
| Name | Description |
|---|---|
|
Git |
|
|
Reference |
The class to represent a collection of REST reference links. |
|
Ref |
GitRefFavorite
| Name | Type | Description |
|---|---|---|
| _links |
The class to represent a collection of REST reference links. |
|
| id |
integer (int32) |
|
| identityId |
string (uuid) |
|
| name |
string |
|
| repositoryId |
string (uuid) |
|
| type | ||
| url |
string |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
RefFavoriteType
| Value | Description |
|---|---|
| invalid | |
| folder | |
| ref |